<?php
header('Content-Type: application/json;charset= utf-8');
require("dbinfo.php");
$con = mysqli_connect($sqlname, $username, $password, $db);
if(!$con){exit;}
mysqli_set_charset($con,"utf8");


$res = array();
$res1 = array();
$res2 = array();

$sql = "SELECT NOMBRE FROM calles_nombres WHERE 1";
$resultado = mysqli_query($con,$sql);

if ($resultado != FALSE){
	if (mysqli_num_rows($resultado) > 0){
		while($row = mysqli_fetch_assoc($resultado))
		{
		    //$row = array_map('utf8_encode',$row);
            array_push($res1, $row["NOMBRE"]);
		}
        array_push($res,$res1);
}
}			 


$sql = "SELECT calle1, calle2, lat, lon FROM calles_int WHERE 1";
$resultado = mysqli_query($con,$sql);

if ($resultado != FALSE){
	if (mysqli_num_rows($resultado) > 0){
		while($row = mysqli_fetch_assoc($resultado))
		{
		    //$row = array_map('utf8_encode',$row);
            $elem = array(
                'calle1'=>$row["calle1"],
                'calle2'=>$row["calle2"],
                'lat'=>$row["lat"],
                'lon'=>$row["lon"],    
            );
            array_push($res2, $elem);
		}
        array_push($res,$res2);
}
}
mysqli_close($con);
echo json_encode($res);
?>



